<?php

namespace Core\Http;

use Core\View\Render;
use Core\View\Render\HtmlRender;
use Core\View\Render\JsonRender;

class Response
{
    /**
     * Set statuscode for response
     *
     * @param int $status
     * @return $this
     */
    public function status(int $status): static
    {
        http_response_code($status);

        return $this;
    }

    /**
     * Render HTML
     *
     * @param string $view
     * @return \Core\View\Render
     */
    public function view(string $view): Render
    {
        return (new HtmlRender())->view($view);
    }

    /**
     * Render JSON
     *
     * @return \Core\View\Render
     */
    public function json(): Render
    {
        return new JsonRender();
    }
}